package test;

import java.net.*;
import fibonacci.ws.*;//webservice client stub to access service object
import cgl.narada.soapapps.soapclient.Config;

public class JobRequest {

  public static int calcRemoteJob(int inval, String pathToP) {
    Config c = new Config(pathToP+"Property.txt");
    //System.out.println("********** PATH : "+pathToP+"Property.txt");
    String soaphost = c.GetSoapStubHost();
    int soapport = c.GetSoapStubPort();
    String webservive_path = "/axis/services/fibonacci";

    String host = "http://"+soaphost+":"+soapport+webservive_path;

    try {
      URL url = new URL(host);
      fibonacci.ws.FibonacciService service = new FibonacciServiceLocator();
      fibonacci.ws.Fibonacci sjb = service.getfibonacci(url);

      int message = sjb.calculateFibonacci(inval);

      return message;
    }
    catch (Exception ex) {
      System.out.println("Url defined badly or axis exception is thrown...");
      return 0;
    }
  }

/*
  public static void main(String[] args) {
    //I have a webservice running on 'soaphost', 'soapport' and 'webservive_path'
    String soaphost = "judi.ucs.indiana.edu";
    int soapport = 8787;
    String webservive_path = "/axis/services/fibonacci";

    String host = "http://"+soaphost+":"+soapport+webservive_path;

   int value = 6;
  try {
    URL url = new URL(host);
    fibonacci.ws.FibonacciService service = new FibonacciServiceLocator();
    fibonacci.ws.Fibonacci sjb = service.getfibonacci(url);

    int message = sjb.calculateFibonacci(value);

    System.out.println("Fibonacci number of "+value+" is  "+message);;
  }
  catch (Exception ex) {
    System.out.println("Url defined badly or axis exception is thrown...");
  }

 }
*/


}
